#!/usr/bin/bash
# @deprecates: CheckBundledJars
# @group: Java
# @type: MUST
# @url:https://docs.fedoraproject.org/en-US/packaging-guidelines/Java/#_pre_built_dependencies
# @text: Bundled jar/class files should be removed before build

cd BUILD &>/dev/null || {
    echo "Can't find any BUILD directory (--prebuilt option?)"
    exit $FR_PENDING
}
jars="$( find . -name \*.jar -o -name \*.class )"
test -z "$jars" && exit $FR_PASS
echo "Jar files in source (see attachment)"
echo  "$jars" | attach 8 "Jar and class files in source"
exit $FR_FAIL
